Orgs Domains
Create Domain
Add a new domain to an org.
POST
/
orgs
/
{org_id}
/
domains
Create Domain
curl --request POST \
--url https://api.useinvent.com/orgs/{org_id}/domains \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"hostname": "<string>"
}
'import requests
url = "https://api.useinvent.com/orgs/{org_id}/domains"
payload = { "hostname": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({hostname: '<string>'})
};
fetch('https://api.useinvent.com/orgs/{org_id}/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"hostname": "<string>",
"org_id": "<string>",
"verified": true,
"verified_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
Bearer token authentication using your API key
Path Parameters
The ID of the org
Body
application/jsonmultipart/form-data
Schema for creating a new domain
The domain string (e.g., example.com)
Required string length:
1 - 1024Response
200 - application/json
Detailed information about an org domain
Unique identifier for the domain
The hostname string (e.g., example.com)
Identifier of the org that owns this domain
Whether the domain is verified
Timestamp when the domain was verified
Timestamp when the domain was created
Timestamp when the domain was last updated
Was this page helpful?
⌘I
Create Domain
